import ICAL from 'ical.js';
import { CalendarComponent } from 'ical';

export function parseICalData(icalData: string | undefined) {
  if (icalData === undefined || !icalData) {
    return [];
  }

  const jCalData = ICAL.parse(icalData);
  const comp = new ICAL.Component(jCalData);
  const vEvents = comp.getAllSubcomponents('vevent');

  return vEvents.map((vevent: CalendarComponent) => {
    const event = new ICAL.Event(vevent);

    return {
      title: event.summary,
      start: event.startDate.toJSDate(),
      end: event.endDate.toJSDate(),
      allDay: event.startDate.isDate,
      // Include other properties as needed
    };
  });
}