const tokenRegex = /^[a-z0-9]{15}$/;
const tokenUriRegex = /[?&]token=([a-z0-9]{15})(?:&|$)/;

export const isToken = (token: string): boolean => {
  return tokenRegex.test(token) || tokenUriRegex.test(token);
};

export function extractToken(token: string): string {
  if (tokenRegex.test(token)) {
    return token;
  }

  const match = tokenUriRegex.exec(token);
  if (match) {
    return match[1];
  }

  throw new Error("Invalid token");
}